Jupiter ERP
Account API

List service protocol templates

/api/account/service-protocol-templates

GETHTTP
get/api/account/service-protocol-templates

Example request

GET https://api.jupiter-erp.com/api/account/service-protocol-templates

Code
curl -X GET 'https://api.jupiter-erp.com/api/account/service-protocol-templates' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
  -H 'Accept: application/json'

Parameters

NameInRequiredDescription
namequerynoSupports SQL-like syntax: - `test*`: begins with `test` - `*test`: ends with `test` - `*test*`: contains `test` - `test`: exact match.
order_byquerynoSort by a specific field
#/components/parameters/OrderDirParameter
#/components/parameters/PerPageParameter
#/components/parameters/PageParameter

Responses

200OK
FieldTypeDescription
data*object[]

array

Elements

FieldTypeDescription
content*string
created_atstring (date-time)Creation timestamp in ISO 8601 format.
id*integer
name*string
updated_atstring (date-time)Last update timestamp in ISO 8601 format.
meta*object
FieldTypeDescription
current_page*integerThe current page number.
items_from*integerThe starting item number on the current page.
items_to*integerThe ending item number on the current page.
last_page*integerThe last page number.
per_page*integerThe number of items per page.
total*integerThe total number of items.
Example response
{
  "data": [
    {
      "id": 0,
      "name": "string",
      "content": "string",
      "updated_at": "2025-01-14T13:51:15.000Z",
      "created_at": "2025-01-14T13:51:15.000Z"
    }
  ],
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 15,
    "total": 1,
    "items_from": 1,
    "items_to": 1
  }
}
Service protocol templates

Questions about integration?

GET /api/account/service-protocol-templates · Jupiter ERP